// https://stackoverflow.com/questions/29652862/highlight-text-using-reactjs
import cn from '@iridiumcms/classnames';
import styles from './index.module.css';

export const Highlighter = function({
  text,
  highlight,
  className,
}: {
  text: string;
  highlight: string;
  className?: string;
}) {
  const normalized = highlight.toLowerCase();
  const parts = text.split(new RegExp(`(${highlight})`, 'gi'));

  return (
    <span className={ cn(styles.highlighter, className) }>
      { parts.map((part, idx) => (
        <span
          key={ idx }
          data-highlighted={ part.toLowerCase() === normalized }
        >
          { part }
        </span>
      )) }
    </span>
  );
};